"use strict";
const vue = require("@vue/language-core");
const typescript_1 = require("@vue/typescript");
const init = (modules) => {
    const { typescript: ts } = modules;
    const pluginModule = {
        create(info) {
            const virtualFiles = vue.createVirtualFiles(vue.createLanguages(info.languageServiceHost.getCompilationSettings(), getVueCompilerOptions(), ts));
            (0, typescript_1.decorateLanguageService)(virtualFiles, info.languageService, true);
            (0, typescript_1.decorateLanguageServiceHost)(virtualFiles, info.languageServiceHost, ts, ['.vue']);
            return info.languageService;
            function getVueCompilerOptions() {
                const projectName = info.project.getProjectName();
                if (info.project.fileExists(projectName)) {
                    return vue.createParsedCommandLine(ts, ts.sys, projectName).vueOptions;
                }
                else {
                    return vue.createParsedCommandLineByJson(ts, ts.sys, info.languageServiceHost.getCurrentDirectory(), {}).vueOptions;
                }
            }
        },
    };
    return pluginModule;
};
module.exports = init;
//# sourceMappingURL=index.js.map